# Optional Customisation

{% hint style="info" %}
All query parameters used in your integration must be [URL-encoded](https://www.w3schools.com/tags/ref_urlencode.ASP) to ensure they work correctly. For example use `satoshi%40blockchain.com` for email addresses.&#x20;
{% endhint %}

## Optional Query Parameters

<table><thead><tr><th width="277">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>baseCurrency</code></td><td>The cryptocurrency your customer will buy. <br><br>Setting this parameter means the user will not be able to specify a different currency to purchase.<br><br>Specify as the ticker symbol, for example <code>BTC</code>, <code>ETH</code>, <code>USDT</code>, etc.<br><br>(Coming soon) Support for layer-2 networks. </td></tr><tr><td><code>walletAddress</code></td><td>The default wallet address of where the customer will receive their purchased tokens. <br><br>If specified, the customer won't need to fill in their wallet address. <br><br>You must specify <code>baseCurrency</code> and <code>walletAddressSignature</code> when specifying <code>walletAddress</code>.</td></tr><tr><td><code>walletAddressSignature</code></td><td>Ensures that <code>walletAddress</code> value was not altered en-route to us.<br><br>Must be used when using the <code>walletAddress</code> parameter. See <a data-mention href="/pages/8ZYmFK4lb4ZPqp6WMStr">/pages/8ZYmFK4lb4ZPqp6WMStr</a> for how to generate the signature. </td></tr><tr><td><p><code>walletAddressTag</code> </p><p><code>(Coming soon)</code></p></td><td>The secondary cryptocurrency wallet address identifier/memo for coins such as XLM and XRP. This parameter will be skipped if <code>walletAddress</code>, <code>walletAddressSignature</code> or <code>baseCurrency</code> are not passed.</td></tr><tr><td><code>quoteCurrency</code></td><td>The currency your customer will use to buy their desired cryptocurrency. <br><br>We currently support US Dollars, Pound Sterling and Euros, specified as <code>USD</code>, <code>GBP</code>, or <code>EUR</code>.<br><br>(Coming soon) Support for more fiat currencies. </td></tr><tr><td><code>quoteCurrencyAmount</code></td><td>The default amount of fiat used to buy cryptocurrency. Users will be able to change this value.<br><br>We recommend using this parameter together with <code>quoteCurrency</code>.</td></tr><tr><td><code>email</code> </td><td>The email address of the user. <br><br>When used, the user won't need to specify their email address with us, they will skip the email entry screen and will be prompted directly for their one-time passcode.<br><br>Make sure to URL-encode the email you pass. For example use <code>satoshi%40blockchain.com</code> instead of <code>satoshi@blockchain.com</code>.</td></tr><tr><td><code>externalReference</code></td><td>A reference you assign to this order. We will include this identifier when sending you order related information. <br><br>Useful to relate order records from us to those in your internal systems. <br><br>It is limited to 100 characters.</td></tr><tr><td><code>subPartnerId</code></td><td>A reference of a 3rd party that is involved in the processing flow. We will use this information for internal metrics. <br><br>It is limited to 50 characters.</td></tr><tr><td><code>paymentMethod</code></td><td><p>The default payment method for the order. <br><br>We currently support:</p><ul><li>credit and debit card payments, specified as <code>CARD</code></li><li>Apple Pay and Google Pay payments, specified as <code>APPLE_PAY</code> and <code>GOOGLE_PAY</code> correspondingly<br></li></ul><p>(Coming soon) Many more payment methods including ACH bank transfer, GBP and EUR bank transfers, GBP and EUR Open Banking.</p></td></tr><tr><td><code>redirectUrl</code></td><td><p>A URL to which customer will be able to proceed after completing the buy flow.</p><p></p><p>The URL can include your own custom parameters.<br><br>You must specify <code>redirectUrlSignature</code> when specifying <code>walletAddress</code>.</p></td></tr><tr><td><code>redirectUrlSignature</code></td><td>Ensures that <code>redirectUrl</code> value was not altered en-route to us.<br><br>Must be used when using the <code>redirectUrl</code> parameter. See <a data-mention href="/pages/8ZYmFK4lb4ZPqp6WMStr">/pages/8ZYmFK4lb4ZPqp6WMStr</a> for how to generate the signature. </td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockchain.com/pay/getting-started/customise-the-widget/optional-customisation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
